---
title: Scan DNS Records
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[DNS](https://developers.cloudflare.com/api/python/resources/dns)

[Records](https://developers.cloudflare.com/api/python/resources/dns/subresources/records)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Scan DNS Records

Deprecated: This endpoint is deprecated in favor of a new asynchronous version. Please use the \[/scan/trigger](https://developers.cloudflare.com/api/resources/dns/subresources/records/methods/scan/trigger) and \[/scan/review](https://developers.cloudflare.com/api/resources/dns/subresources/records/methods/scan/review) endpoints instead.

dns.records.scan(RecordScanParams\*\*kwargs) -> [RecordScanResponse](<https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_scan_response%20%3E%20(schema)>)

POST/zones/{zone\_id}/dns\_records/scan

Scan for common DNS records on your domain and automatically add them to your zone. Useful if you haven’t updated your nameservers yet.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DNS Write`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20scan%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class RecordScanResponse: …

</summary>

recs\_added: Optional\[float]

Number of DNS records added.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_scan_response%20%3E%20(schema)%20%3E%20(property)%20recs_added">Link to this property</a>

total\_records\_parsed: Optional\[float]

Total number of DNS records parsed.

<a href="#(resource)%20dns.records%20%3E%20(model)%20record_scan_response%20%3E%20(schema)%20%3E%20(property)%20total_records_parsed">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.records%20%3E%20(model)%20record_scan_response%20%3E%20(schema)>)

### Scan DNS Records

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.dns.records.scan(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.recs_added)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "recs_added": 5,
    "total_records_parsed": 5
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "recs_added": 5,
    "total_records_parsed": 5
  }
}
```